<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
    </files>
    <containers>
        <container name='web'>
            <package>eole-eop-apps</package>
            <file filelist='eop' name='/etc/eole/flask/available/eop.conf'  source='eop-eop.conf'/>
            <file filelist='eop' name='/usr/share/eole/flask/eop/menus/motdepasse.conf'  source='eop-motdepasse.conf'/>
            <file filelist='eop' name='/usr/share/eole/flask/eop/menus/__menus__.conf'  source='eop-menus.conf'/>
        </container>
        <container name='fichier'>
            <package>eole-websockify-pkg</package>
            <service servicelist='websockify'>websockify</service>
            <service_access service='websockify'>
                <port>6080</port>
            </service_access>
			<file filelist='websockify' name='/etc/default/eop-websockify'  source='eop-websockify' mode='0755'/>
        </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='revprox_eop' exists='False' disabled='True'/>
            <variable name='activer_eop' type='oui/non' description='Activer EOP (EOLE Outils Profs)'>
                <value>oui</value>
            </variable>
            <variable name='eop_profs_can_manage' type='oui/non' description='Permettre aux enseignants de gérer les élèves et mots de passes' mode='expert'>
                <value>oui</value>
            </variable>
            <variable name='eop_profs_can_change_all_passwords' type='oui/non' description='Permettre aux enseignants de changer le mot de passe de tous les élèves' mode='expert'>
                <value>non</value>
            </variable>
            <variable name='eop_profs_can_create_tempaccount' type='oui/non' description='Permettre aux enseignants admin de créer des comptes temporaires' mode='expert'>
                <value>non</value>
            </variable>
        </family>
        <family name='eoleflask' mode='expert'>
            <variable redefine='True' name='activer_eoleapps'>
                <value>oui</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='activer_sso'>
            <param>non</param>
            <target type='variable'>activer_eop</target>
        </condition>
        <condition name="disabled_if_in" source="activer_eoleapps">
            <param>non</param>
            <target type='variable'>activer_eop</target>
        </condition>
        <condition name="frozen_if_in" source="eop_profs_can_manage">
            <param>non</param>
            <target type='variable'>eop_profs_can_change_all_passwords</target>
        </condition>
        <condition name='disabled_if_in' source='activer_eop'>
            <param>non</param>
            <target type='variable'>eop_profs_can_change_all_passwords</target>
            <target type='filelist'>eop</target>
            <target type='filelist'>websockify</target>
            <target type='servicelist'>websockify</target>
            <target type='service_accesslist'>websockify</target>
        </condition>
        <auto name='calc_multi_condition' target='revprox_eop'>
            <param>oui</param>
            <param name="operator">OR</param>
            <param type='eole' name='condition_1' hidden='False'>activer_eop</param>
            <param type='eole' name='match'>container_ip_fichier</param>
            <param name='default_mismatch'>None</param>
        </auto>
    </constraints>
    <help>
        <variable name='activer_eop'>EOP est une application web indépendante de l'EAD destinée aux profs</variable>
       <variable name='eop_profs_can_manage'>Par défaut, les professeurs peuvent accéder aux fonctions de gestions permettant d'attribuer les professeurs principaux et le changement de mots de passe. En choisissant "non", les professeurs ne pourront plus accéder à ces fonctions</variable>
        <variable name='eop_profs_can_change_all_passwords'>Par défaut, seuls les professeurs principaux peuvent changer le mot de passe de leurs élèves. En choisissant "oui" , les professeurs pourront changer le mot de passe de n'importe quel élève.</variable>
        <variable name='eop_profs_can_create_tempaccount'>Si "oui", tout les admins pourront créer des comptes temporaires. En mode multi-etab les professeurs appartenant aux groupes admin-"etab" peuvent aussi créer des comptes temporaires</variable>
    </help>
</creole>
